Bug 1399390 - ImportError when using the Python 3 libtorrent module
Summary: ImportError when using the Python 3 libtorrent module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rb_libtorrent
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 00:34 UTC by Cristian Ciupitu
Modified: 2017-07-07 23:08 UTC (History)
1 user (show)

Fixed In Version: rb_libtorrent-1.1.2-3.fc24 rb_libtorrent-1.1.2-3.fc25 rb_libtorrent-1.1.2-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-04 00:21:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Cristian Ciupitu 2016-11-29 00:34:40 UTC
Description of problem:
I can't use the libtorrent package from Python 3.

Version-Release number of selected component (if applicable):
rb_libtorrent-1.1.1-1.fc25.x86_64
rb_libtorrent-python3-1.1.1-1.fc25.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. $ python3
>>> import libtorrent

Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: /usr/lib64/python3.5/site-packages/libtorrent.cpython-35m-x86_64-linux-gnu.so: undefined symbol: _ZN5boost6python6detail11init_moduleER11PyModuleDefPFvvE

Expected results:
No errors.

Additional info:
boost-python-1.60.0-9.fc25.x86_64

Comment 1 leigh scott 2016-11-29 07:34:23 UTC
Bug forwarded upstream

https://github.com/arvidn/libtorrent/issues/1365

Comment 2 Fedora Admin XMLRPC Client 2016-11-30 00:29:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2016-11-30 00:29:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2016-11-30 00:30:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Update System 2017-07-02 18:00:00 UTC
rb_libtorrent-1.1.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-531246ed6f

Comment 6 Fedora Update System 2017-07-03 05:18:40 UTC
rb_libtorrent-1.1.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7641d4e5a

Comment 7 Fedora Update System 2017-07-03 05:20:01 UTC
rb_libtorrent-1.1.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-531246ed6f

Comment 8 Fedora Update System 2017-07-03 18:24:22 UTC
rb_libtorrent-1.1.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-862323b66d

Comment 9 Fedora Update System 2017-07-04 00:21:07 UTC
rb_libtorrent-1.1.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-07-04 01:53:23 UTC
rb_libtorrent-1.1.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-07-07 23:08:10 UTC
rb_libtorrent-1.1.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.